Unreviewed gardening (Take 2): Prevent users from attempting
authorbfulgham@apple.com <bfulgham@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 8 Apr 2014 22:59:27 +0000 (22:59 +0000)
committerbfulgham@apple.com <bfulgham@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 8 Apr 2014 22:59:27 +0000 (22:59 +0000)
to build with known invalid cURL.

* Scripts/webkitdirs.pm:
(checkInstalledTools): Check for 7.34.0 (the broken version), not
7.33.0 (the known good version).

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@166974 268f45cc-cd09-0410-ab3c-d52691b4dbfc

Tools/ChangeLog
Tools/Scripts/webkitdirs.pm

index a6907a2..1c4b0aa 100644 (file)
@@ -1,3 +1,12 @@
+2014-04-08  Brent Fulgham  <bfulgham@apple.com>
+
+        Unreviewed gardening (Take 2): Prevent users from attempting
+        to build with known invalid cURL. 
+
+        * Scripts/webkitdirs.pm:
+        (checkInstalledTools): Check for 7.34.0 (the broken version), not
+        7.33.0 (the known good version).
+
 2014-04-08  Martin Robinson  <mrobinson@igalia.com>
 
         [GTK] Remove DumpRenderTree and GtkLauncher
index fef988c..c696c5f 100755 (executable)
@@ -1422,7 +1422,7 @@ sub checkInstalledTools()
     # cURL 7.34.0 has a bug that prevents authentication with opensource.apple.com (and other things using SSL3).
     my $curlVer = `curl --version | grep "curl"`;
     chomp($curlVer);
-    if (!$? and $curlVer =~ /libcurl\/7\.33\.0/) {
+    if (!$? and $curlVer =~ /libcurl\/7\.34\.0/) {
         print "cURL version 7.34.0 has a bug that prevents authentication with SSL v2 or v3.\n";
         print "cURL 7.33.0 is known to work. The cURL projects is preparing an update to\n";
         print "correct this problem.\n\n";